libsigc++: sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return > Class Template Reference

libsigc++ 2.10.1

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return > Class Template Reference
Functors » ptr_fun()

pointer_functor4 wraps existing non-member functions with 4 argument(s). More...

`#include <sigc++/functors/ptr_fun.h>`

Inheritance diagram for sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >:
[legend]

## Public Types
typedef T_return | result_type

## Public Member Functions
| pointer_functor4 ()
| Constructs an invalid functor. More...
| pointer_functor4 (function_type _A_func)
| Constructs a pointer_functor4 object that wraps an existing function. More...
T_return | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped function. More...

## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_return>
class sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >

pointer_functor4 wraps existing non-member functions with 4 argument(s).

Use the convenience function ptr_fun() to create an instance of pointer_functor4.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_return The return type of operator()().

## Member Typedef Documentation

## ◆ result_type

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

typedef T_return sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >::result_type

## Constructor & Destructor Documentation

## ◆ pointer_functor4() [1/2]

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >::pointer_functor4 | ( |  | ) |
| inline

Constructs an invalid functor.

## ◆ pointer_functor4() [2/2]

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >::pointer_functor4 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a pointer_functor4 object that wraps an existing function.

Parameters

  _A_func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

## ◆ operator()()

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

T_return sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >::operator() | ( | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4
| ) |  | const
| inline

Execute the wrapped function.

Parameters

  _A_a1 | Argument to be passed on to the function.
  _A_a2 | Argument to be passed on to the function.
  _A_a3 | Argument to be passed on to the function.
  _A_a4 | Argument to be passed on to the function.

Returns
  The return value of the function invocation.

## Member Data Documentation

## ◆ func_ptr_

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

function_type sigc::pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >::func_ptr_
| protected